Comment 242 for bug 390508

wirespot (wirespot) wrote :

Fact remains that, for as long as the spec continues to say otherwise, notify-osd and Gnome Shell are in violation of the spec.

If you intend to keep things like this, then:

* Remove the parameters from your API. Take it out of the function signature, take it out of the command line tool. Stop fooling programmers and users into using silently ignored parameters, that's just bad coding!

* Document this (in the API docs, in the man page) and own up to the fact it's a spec violation. It's in your best interest to tell people what's going on, so you don't get more bugs like this opened.

Then you can close this bug as "fixed" – or "wontfix", depending on your outlook on the issue.

Updating the spec is a completely different discussion. Maybe it should be done, maybe not; deal with your mess here first.